# -*- rpm-spec -*-
# $Id: kernel-feat-ipmi.spec,v 1.3 2004/05/13 15:28:32 vsu Exp $
##
%define patch_name	kernel-feat-ipmi

Name: %patch_name
Version: 30
Release: alt3

Summary: %patch_name - full-function IPMI device driver
License: GPL
Group: Development/Kernel
URL: http://openipmi.sourceforge.net/
Packager: Kernel Maintainers Team <kernel@packages.altlinux.org>

# http://download.sourceforge.net/openipmi/linux-ipmi-2.4.22-v30.diff
%source 10	10_linux-ipmi-2.4.22-v30-alt.diff

%source 20	20_ipmi-i2c-2.8.x-alt.patch	20_kernel-feat-i2c

%source 21	21_ipmi-acpi-update.patch

BuildArch: noarch
BuildPreReq: kernel-build-tools >= 0.6-alt6

%description
Intelligent Platform Management Interface (IPMI) is an extensible
standard that defines how users can monitor system hardware and sensors,
control system components and log important system events. It is an
open-standard hardware manageability interface specification.

%install
%install_patches

%files
%_usrsrc/*

%changelog
* Wed May 12 2004 Sergey Vlasov <vsu@altlinux.ru> 30-alt3
- Updated for kernel 2.4.26:
  + ACPI changes related to 21_ipmi-acpi-update.patch are in upstream now, so
    the patch should be applied unconditionally

* Thu Apr 01 2004 Sergey Vlasov <vsu@altlinux.ru> 30-alt2
- Added:
  + 21_ipmi-acpi-update.patch: fix compilation with new ACPI
- Added Conflicts with old kernel-feat-acpi.

* Fri Feb 27 2004 Sergey Vlasov <vsu@altlinux.ru> 30-alt1
- Initial release.
- Edited patch to net/Makefile to apply to 2.4.25.
- Added patch to make SMBus parts compile with i2c-2.8.x (a better version of
  linux-2.4.22-i2c-ipmismb-2.8.2.diff from the official site).
